DEB2APPTAINER(1)

NOM

deb2apptainer – Construire une image Singularity/Apptainer avec les paquets Debian spécifiés

SYNOPSIS

deb2apptainer [-hB][-c CMDE][-f DEPUIS][-n NOM][-o RÉP][-p deb2singularity [-hB][-c CMDE][-f DEPUIS][-n NOM][-o RÉP][-p PRÉ_SCRIPT][-s POST_SCRIPT] paquets
deb2singularity [-hB][-c CMDE] [-f DEPUIS][-n NOM] [-o RÉP][-p PRÉ_SCRIPT] [-s POST_SCRIPT] paquets

DESCRIPTION

deb2apptainer est un script simple qui prend en entrée une liste de paquets Debian et génère automatiquement un conteneur Singularity/Apptainer contenant ces paquets. Un ensemble d’icônes de lancement freedesktop.org est également généré à partir de fichiers d’icône et .desktop trouvés dans les paquets. En outre, une icône de lancement pour démarrer le conteneur dans un Terminal est créée.

Cet outil est fait pour déployer des applications en tant que conteneurs, ainsi que pour tester des paquets Debian dans un bac à sable.

OPTIONS

-B  ne PAS construire l’image (par défaut elle est construite). Un script build est généré dans le dossier de destination RÉP.

-c EXEC
    Commande à exécuter dans le conteneur (par défaut, /bin/bash).

-f DEPUIS
    Distribution à utiliser (par défaut debian:stable).

-h  Affiche cette aide

-n NOM
    Nom de l’image (par défaut, généré à partir de la liste de paquets).

-o RÉP
    Utilise le dossier RÉP spécifié pour la construction (par défaut dans /tmp).

-p PRÉ_SCRIPT
    Exécute le script spécifié PRÉ_SCRIPT avant d’installer les paquets.

-s POST_SCRIPT
    Exécute le script spécifié POST_SCRIPT après avoir installé les paquets.

paquets
    La liste de paquets peut inclure tout paquet Debian, ainsi que des fichiers .deb locaux.

FICHIERS

•   DIR/README

•   DIR/image.def

•   DIR/image.sif

•   DIR/launchers/

•   DIR/icons/

•   DIR/build

•   DIR/start

NOTES

Il est évidemment nécessaire d’avoir installé apptainer.

Téléchargez le paquet Debian depuis : - https://apptainer.org/docs/admin/main/installation.html#install-debian-packages

Les commandes courantes pour manipuler les conteneurs Apptainer/Singularity sont :

build
    apptainer build image.sif

run apptainer run image.sif apptainer run –nv image.sif # avec interconnexion pour des GPU NVIDIA

info
    apptainer inspect image.sif

header
    apptainer sif header image.sif

data
    apptainer sif list image.sif

EXEMPLES

Crée un conteneur Singularity/Apptainer avec les paquets x11-apps dans le dossier /tmp/xeyes, et exécute xeyes :

•   deb2apptainer -o /tmp/xeyes x11-apps

•   /tmp/xeyes/start xeyes

    Une icône de lancement /tmp/xeyes/launchers/x11-apps-terminal.desktop est crée

Crée un conteneur Singularity/Apptainer avec x11-apps et meshlab
    deb2apptainer x11-apps meshlab

Crée un conteneur Singularity/Apptainer en activant les dépôts Debian :

•   echo “sed -i `s/main/main contrib non-free/g' /etc/apt/sources.list” > pre.sh

•   deb2apptainer -p pre.sh x11-apps

Crée un conteneur Singularity/Apptainer basé sur une version spécifique de Debian et utilise le GPU :

•   echo “echo `deb http://deb.debian.org/debian bullseye main contrib non-free' >> /etc/apt/sources.list” > pre-script.sh

•   deb2apptainer -n pyhst2 -f debian:bullseye -p pre-script.sh -o /tmp/apptainer-pyhst2/ python3-pyhst2-cuda nvidia-smi nvidia-cuda-toolkit

•   apptainer run –nv /tmp/apptainer-pyhst2/pyhst2.sif nvidia-smi ```

AUTEURS

Emmanuel Farhi (emmanuel.farhi@synchrotron-soleil.fr)

VOIR AUSSI

deb2docker(1), distrobox-create(1), distrobox-enter(1), docker(1), apptainer(1)

AUTEURS
Emmanuel Farhi.

TRADUCTION
Ce document est une traduction, maintenue à lʼaide de lʼoutil po4a <https://po4a.org/> par lʼéquipe de traduction francophone du projet Debian.

Plusieurs traducteurs dont Nicolas François, Guillaume Delacour, Cyril Brulebois, Thomas Huriaux, David Prévot et Xavier Guimard ont contribué aux traductions.

Lʼéquipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet devscripts.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant lʼoption « -L C » à la commande man.